Inhalte
Index 🔎︎

# Funktion DateAdd

Fügt einem bestimmten Datum mehrmals ein Datums- oder Uhrzeitintervall hinzu und gibt das resultierende Datum zurück.

### Syntax:

    DateAdd (Intervall As String, Zahl As Long, Datum As Date) As Date

### Rückgabewert:

Ein Variante, die ein Datum enthält.

### Parameter:

Intervall – Eine Zeichenfolge aus der folgenden Tabelle, welche das Datums- oder Zeitintervall angibt.

Intervall (Zeichenfolgenwert) | Erklärung
--- | ---
yyyy | Jahr
q | Quartal
m | Monat
y | Kalendertag
w | Wochentag
ww | Kalenderwoche
d | Tag
h | Stunde
n | Minute
s | Sekunde

Zahl – Ein numerischer Ausdruck, der angibt, wie oft der Wert Intervall addiert wird, wenn er positiv ist, oder subtrahiert wird, wenn er negativ ist.

Datum – Ein bestimmtes Datum oder der Name einer Variablen Variant, welche ein Datum enthält. Der Wert Intervall wird so oft, wie Zahl angibt, zu diesem Datum hinzugefügt.

Datumsausdrücke ermöglichen die Angabe eindeutiger Datumsvariablen, die unabhängig von der aktuellen Sprache sind. Ausdrücke sind zwischen Rauten # eingeschlossen. Mögliche Formate sind:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

### Beispiel:

    Sub example_dateadd
        MsgBox DateAdd("m", 1, #1/31/2004#) &" - "& DateAdd(date:=#2005-01-31#, interval:="m", number:=1)
    End Sub